libraw1394: version 2.0.4
Prev |  | Next

# raw1394_get_port_info

## Name

raw1394_get_port_info -- get information about available ports

## Synopsis

``int raw1394_get_port_info` (raw1394handle_t handle, struct raw1394_portinfo * pinf, int maxports);`

## Arguments

`handle`

  libraw1394 handle

`pinf`

  pointer to an array of struct raw1394_portinfo

`maxports`

  number of elements in `pinf`

## Description

Before you can set which port to use, you have to use this function to find out which ports exist.

If your program is interactive, you should present the user with this list to let them decide which port to use if there is more than one. A non-interactive program (and probably interactive ones, too) should provide a command line option to choose the port. If `maxports` is `0`, `pinf` can be `NULL`, too.

## Returns

the number of ports and writes information about them into `pinf`, but not into more than `maxports` elements.

Prev | Home | Next
raw1394_get_nodecount | Up | raw1394_set_port